Package org.eclipse.ecf.core.sharedobject.events

## Interface ISharedObjectMessageEvent

All Superinterfaces:
  `Event`, `ISharedObjectEvent`

All Known Subinterfaces:
  `ISharedObjectCreateResponseEvent`

All Known Implementing Classes:
  `RemoteSharedObjectCreateResponseEvent`, `RemoteSharedObjectEvent`, `SharedObjectMsgEvent`

    public interface ISharedObjectMessageEvent
    extends ISharedObjectEvent

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getData()`
`ID` `getRemoteContainerID()`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.events.ISharedObjectEvent

`getEvent, getSenderSharedObjectID`

### Method Detail

#### getRemoteContainerID

    ID getRemoteContainerID()

#### getData

    Object getData()